## Index

### Functions

- promiseTap

## Functions

### promiseTap

- promiseTap<T>(tapFunction: function): function

- - Defined in helper/promise-tap.function.ts:5

  mimics the tap operator from rxjs, will execute some side effect and return the input value

  #### Type parameters

  - #### T

  #### Parameters

  - ##### tapFunction: function

    - - (arg: T): void

      - #### Parameters

        - ##### arg: T

        #### Returns void

  #### Returns function

  - - (arg: T): Promise<T>

    - #### Parameters

      - ##### arg: T

      #### Returns Promise<T>

Generated using TypeDoc